package example.hello.client;

import junit.framework.TestCase;

public class SimpleHelloClientTest extends TestCase {

    SimpleHelloClient client;

    @Override
    protected void setUp() throws Exception {
        client = new SimpleHelloClient();
    }

    @Override
    protected void tearDown() throws Exception {
        client = null;
    }

    public void testSayHello() {
        assertEquals("Hello, World!", client.sayHello(null));
        assertEquals("Hello, World!", client.sayHello(""));
        assertEquals("Hello, World!", client.sayHello(" "));
        assertEquals("Hello, John!", client.sayHello("John"));
    }

}
